package cn.hnthyy.thmz.service.impl.his.mz;

import cn.hnthyy.thmz.entity.his.mz.YpZdClass;
import cn.hnthyy.thmz.mapper.his.mz.YpZdClassMapper;
import cn.hnthyy.thmz.service.his.mz.YpZdClassService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class YpZdClassServiceImpl implements YpZdClassService {
    @SuppressWarnings("all")
    @Autowired
    private YpZdClassMapper ypZdClassMapper;
    @Override
    public List<YpZdClass> queryYpZdClasses() {
        return ypZdClassMapper.selectYpZdClasses();
    }

    @Override
    public List<Map<String, Object>> queryJyZdClasses() {
        return ypZdClassMapper.selectJyZdClasses();
    }

    @Override
    public List<Map<String, Object>> queryJcZdClasses() {
        return ypZdClassMapper.selectJcZdClasses();
    }

    @Override
    public List<YpZdClass> queryYpZdClassesByCode(String code) {
        return ypZdClassMapper.selectYpZdClassesByCode(code);
    }

    @Override
    public int queryIsParent(String code) {
        return ypZdClassMapper.selectIsParent(code);
    }
}
